360鹰眼-更智能的Web安全监控系统

产品描述:

下一代web漏洞扫描器,她是一款硬件,包含:最全面的"爬出"引擎,不再需要收集资产清单,不再需要指定扫描时间,同步发现新上线业务漏洞

适用对象:

企业

价格服务:

目录价19.8万起
我了解,我要试用
高危高危

Exim服务器BDAT指令远程代码执行漏洞(CVE-2017-16943)

WASC Threat Classification

发现时间:

2017-12-20

漏洞类型:

命令执行

所属建站程序:

其他

所属服务器类型:

其他

所属编程语言:

其他

描述:

2017年11月23日,流行邮件服务器程序Exim相关的两个漏洞被提交给Exim Bugziliza,其中CVE-2017-16943为UAF(Use After Free)类型漏洞,可能导致远程代码执行,CVE-2017-16944可导致拒绝服务。11月25日相应的POC被放出,但是该POC有限制,需要在特殊情况下才能触发。12月11日,安全研究者发布了文章对漏洞进行了详细的技术分析,并证明利用CVE-2017-16943漏洞可实现远程代码执行。

+ 展开
危害:

攻击者远程主动连接访问存在漏洞的Exim服务器,无需用户验证发送恶意命令数据导致在服务器上执行恶意指令,获取对服务器的控制。

解决方案:

1、关闭chunking选项

2、升级到Exim 4.89.1及以上版本

如果你的网站服务器是Windows系统,建议使用"主机卫士"修复漏洞,点击下载
对该漏洞进行评论